Bug 2735 - Authority search in OPAC stops at 15 pages
Summary: Authority search in OPAC stops at 15 pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC All
: P3 normal (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL: cgi-bin/koha/cataloguing/addbiblio.pl...
Keywords:
Depends on:
Blocks: 17048 18204
  Show dependency treegraph
 
Reported: 2008-10-29 07:41 UTC by Nicole C. Engard
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (94.95 KB, image/png)
2012-04-02 21:06 UTC, Katrin Fischer
Details
Bug 2735: Fix authority search pagination at the OPAC (10.54 KB, patch)
2016-06-09 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 2735: CSS changes (80.58 KB, patch)
2016-06-09 15:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 2735: Fix authority search pagination at the OPAC (10.61 KB, patch)
2016-07-07 19:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 2735: CSS changes (80.64 KB, patch)
2016-07-07 19:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 2735: Fix authority search pagination at the OPAC (10.67 KB, patch)
2016-07-11 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] [PASSED QA] Bug 2735: CSS changes (80.72 KB, patch)
2016-07-11 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:55:16 UTC


---- Reported by nengard@gmail.com 2008-10-29 07:41:44 ----

Can't view more than 15 pages of results on the authority search plugin - if you click the >> on the last page of results you don't get anything: cgi-bin/koha/cataloguing/addbiblio.pl?frameworkcode=BKS#

I tested this with the authority plugin for the 100 field.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:55 UTC  ---

This bug was previously known as _bug_ 2735 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2735

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here

Comment 1 Nicole C. Engard 2010-06-02 11:11:00 UTC
I don't have 15 pages of authorities anymore - can anyone confirm this error or close the bug?
Comment 2 Katrin Fischer 2012-04-02 21:06:23 UTC
Created attachment 8790 [details]
screenshot

I can confirm that there is still something weird with the pagination on current master. 

What I did:

1) Searched for an authority from 100 using the plugin and a search for contains 'e' or something similar to get a lot of results.
2) Checked that I had more than 15 pages.
3) Changed to page 15
4) Clicked on the >> to get more results

The result count changes and I get to see more results, but the page numbering does not change and stays 1-15. I can't see on which page I currently am.
Comment 3 Katrin Fischer 2013-12-05 23:16:56 UTC
This bug is still valid: When a search returns more than 15 pages of results, the correct number of results is shown, but the pages you can access are limited to 15.

<< 1 2 3 4 5 6 7 8 9 10 11 12 13 14 _15_ >>
Ergebnisse 281 bis 300 von 1876
Comment 4 Jonathan Druart 2015-07-09 14:25:30 UTC
This is fixed:

Authority search results
 <<  <  1  2  3  ...  204  >  >>

Results 1 to 20 of 4066
Comment 6 Jonathan Druart 2016-06-09 15:39:46 UTC
(In reply to Michal Dudzik from comment #5)
> Problem still exist

Indeed, still broken at the OPAC.
Comment 7 Jonathan Druart 2016-06-09 15:42:58 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-06-09 15:43:02 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2016-07-07 19:16:08 UTC Comment hidden (obsolete)
Comment 10 Nicole C. Engard 2016-07-07 19:16:14 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2016-07-11 22:21:26 UTC
This fixes the problem nicely for the OPAC - but I still experience the problem like originally reported in the authority search plugin:

1) Go to cataloguing
2) MARC21: open authority search plugin from 100$a for example
3) Notice, it won't page after page 15
Comment 12 Katrin Fischer 2016-07-11 22:22:55 UTC
Created attachment 53289 [details] [review]
[PASSED QA] Bug 2735: Fix authority search pagination at the OPAC

The authority search pagination displays only 15 pages, even when there
are more.
To fix that, this patch mimic the authorities-home.pl intranet script to
manage the pagination.

Test plan:
Without this patch, do some authority search and click on different
pages.
Apply this patch, redo the same search and make sure the same records
are displayed (i.e. confirm that the pagination still works as before).

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2016-07-11 22:23:48 UTC
Created attachment 53290 [details] [review]
[PASSED QA] [PASSED QA] Bug 2735: CSS changes

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2016-07-12 17:23:59 UTC
(In reply to Katrin Fischer from comment #11)
> This fixes the problem nicely for the OPAC - but I still experience the
> problem like originally reported in the authority search plugin:
> 
> 1) Go to cataloguing
> 2) MARC21: open authority search plugin from 100$a for example
> 3) Notice, it won't page after page 15

Could you open another bug report for this one?
Comment 15 Katrin Fischer 2016-07-12 18:33:42 UTC
Done: bug 16910
Comment 16 Kyle M Hall 2016-07-15 14:06:48 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 17 Frédéric Demians 2016-08-01 13:37:14 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 18 Julian Maurice 2016-08-17 09:33:02 UTC
Patch pushed to 3.22.x, will be in 3.22.10